This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 454272 - dialin modem does not repond to call using Fedora 9
dialin modem does not repond to call using Fedora 9
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mgetty (Show other bugs)
9
i686 Linux
low Severity high
: ---
: ---
Assigned To: Jiri Skala
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-07 08:12 EDT by Mirko Fluher
Modified: 2014-11-09 17:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:38:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mirko Fluher 2008-07-07 08:12:57 EDT
Description of problem: dialin modem does not respond


Version-Release number of selected component (if applicable):
Fedora 9

How reproducible:
connect dialin modem and dial into it.

Steps to Reproduce:
dialin modem works fine with Fedora 8
but does not respond with Fedora 9  - same hardware.
  
Actual results:
ring ring ... and nothing else.

Expected results:
dialin modem to respond to call


Additional info:
tried using mgetty of F8 on F9 ... no difference.
Comment 1 Mirko Fluher 2008-07-07 08:20:26 EDT
modem on F8 (and F9) is just 56k modem attached to serial port ttyS0
Comment 2 Tim Waugh 2008-07-08 10:31:13 EDT
What are you using to configure the modem to auto-answer?
Comment 3 Mirko Fluher 2008-07-09 05:51:48 EDT
I use Fedora 8 (F8) and have been using Fedora and previously RedHat for years!
I currently have an ADSL connection to the internet but for years I have also
had many (up to 10) 56k modems connected to my server for people to dial into
my box. Currently I still have just one such 56k modem and it works perfectly
well with F8 but not with F9.

First, whenever I upgrade Fedora, I use a spare IDENTILCAL hard disk and
make a copy of my live disk using dd. I then boot up withe spare HD and
upgrade - usually via DVD and then do a 'yum update' to get the latest stuff.
This is what I did with F8 -> F9.

Now for the 56k connection.
I use the following entry in inittab:
S0:2345:respawn:/sbin/mgetty -D -x0 -s 57600 ttyS0
on F9, I even changed that line to read:
S0:2345:respawn:/sbin/mgetty -D -x 3 -s 57600 ttyS0

On F8 the command stty < /dev/ttyS0 produces:
stty < /dev/ttyS0
speed 57600 baud; line = 0;
min = 1; time = 0;
-brkint -icrnl -imaxbel
-opost -onlcr
-isig -icanon -iexten -echo -echoe -echok -echoctl -echoke

(and I have no idea as to how this was done!).

On F9, the same command produces:
stty < /dev/ttyS0
speed 9600 baud; line = 0;
-brkint -imaxbel

I have even tried saving the F8 stty output:
stty -g < /dev/ttyS0 > ttyS0.f8
and then using it on F9:
[root@pax mir]# stty < /dev/ttyS0 `cat ttyS0.f8`
stty: standard input: unable to perform all requested operations
[root@pax mir]# stty < /dev/ttyS0
speed 57600 baud; line = 0;
min = 1; time = 0;
-brkint -icrnl -imaxbel
-opost -onlcr
-isig -icanon -iexten -echo -echoe -echok -echoctl -echoke
[root@pax mir]#

This had no effect on the dialin in ...

I even got rid of the latest mgetty on F9 and install the version used on F8,
and this made no difference either.

The modem just sits there and does not pick up the incoming call.

I don't use anything in:
/etc/mgetty+sendfax/
dialin.config  login.config   mgetty.config

The ouput of setserial is the same on both F8 and F9:
setserial -a /dev/ttyS0
/dev/ttyS0, Line 0, UART: 16550A, Port: 0x03f8, IRQ: 4
        Baud_base: 115200, close_delay: 50, divisor: 0
        closing_wait: 3000
        Flags: spd_normal skip_test


and on both OS, I can 'talk' to the modem using cu -l /dev/ttyS0 and can
even dialout no problems.
Comment 4 Tim Waugh 2008-07-09 06:08:41 EDT
Not a setserial problem by the look of it.  If the modem is not picking up the
call it is something wrong with mgetty.

Changing component and reassigning.

One thing you might want to try: 'setenforce 0', to see if the problem is caused
by incorrect SELinux policy.
Comment 5 Mirko Fluher 2008-07-09 08:32:41 EDT
(In reply to comment #4)
> Not a setserial problem by the look of it.  If the modem is not picking up the
> call it is something wrong with mgetty.
> 
> Changing component and reassigning.
> 
> One thing you might want to try: 'setenforce 0', to see if the problem is caused
> by incorrect SELinux policy.

This made no difference.

However, there is a difference in the modem's profile:  F8 uses &D3  F9=&D2

F8:
ACTIVE PROFILE:
B0 E0 L1 M0 N0 Q0 T V1 W0 X4 Y0 &C1 &D3 &G0 &J0 &K3 &Q5 &R1 &S0 &T5 &X0 &Y0
S00:000 S01:000 S02:043 S03:013 S04:010 S05:008 S06:003 S07:045 S08:002 S09:006
S10:014 S11:085 S12:050 S18:000 S25:005 S26:001 S36:007 S38:020 S46:138 S48:007
S95:000

STORED PROFILE 0:
B0 E0 L1 M0 N0 Q0 T V1 W0 X4 Y0 &C1 &D2 &G0 &J0 &K3 &Q5 &R1 &S0 &T5 &X0
S00:000 S02:043 S06:003 S07:045 S08:002 S09:006 S10:014 S11:085 S12:050 S18:000
S36:007 S40:104 S41:195 S46:138 S95:000
--------------
F9:
ACTIVE PROFILE:
B0 E0 L1 M0 N0 Q0 T V1 W0 X4 Y0 &C1 &D2 &G0 &J0 &K3 &Q5 &R1 &S0 &T5 &X0 &Y0
S00:000 S01:000 S02:043 S03:013 S04:010 S05:008 S06:003 S07:045 S08:002 S09:006
S10:014 S11:085 S12:050 S18:000 S25:005 S26:001 S36:007 S38:020 S46:138 S48:007
S95:000

STORED PROFILE 0:
B0 E0 L1 M0 N0 Q0 T V1 W0 X4 Y0 &C1 &D2 &G0 &J0 &K3 &Q5 &R1 &S0 &T5 &X0
S00:000 S02:043 S06:003 S07:045 S08:002 S09:006 S10:014 S11:085 S12:050 S18:000
S36:007 S40:104 S41:195 S46:138 S95:000

What is changing it ?? as far as I am aware, I am not sending any init string
to the modem.
The only thing I used to get is is 'cu -l /dev/ttyS0
and then I did an at&v       does this change from &D2 to &D3 makes all the
difference ?

Comment 6 Bug Zapper 2009-06-09 21:57:45 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 11:38:07 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.